Subject: Re: Personal name in 3.95

From: [email-masked] (Orjan Johansen)
Date: 23 Apr 1997 22:42:10 GMT

In article <[email-masked]>,
Robert D Johnson <[email-masked]> wrote:
>
>Just recently, we upgraded to a new AIX system, with Pine 3.95.  It took a
>lot of tweaking to set other things back to the right setup, but it's
>almost totally back- except for one thing.  I changed personal-name in
>.pinerc, and it works fine for posting to newsgroups.  However, sending
>personal e-mail, it still uses what's in /etc/passwd and not my
>personal-name.

As far as I know, there is no difference in pine between news and mail 
in this case. So my guess is that your problem is elsewhere:

Many mail transfer agents (those programs that pass on mail after pine 
has delivered a message to them) can be set up to check the 
/etc/passwd or similar file and to rewrite the address they are 
sending from. They do that here at math.ntnu.no, I have noticed.

The reason is that many mail programs, unlike pine, will insert no 
information other than the cryptic username, and so this is really 
intended to be helpful. I suppose it may also sometimes be used as a 
weak anti-forgery measure.

What you could try to do instead is to use a program called 'chfn'.  
(For 'change full name', I believe.) This program will usually allow 
you to change certain information about yourself such as personal 
name. This will affect (more or less) all UNIX programs, not just 
pine.

Greetings,
Ørjan.